OpenTTD

Public Member Functions
NoCompLoadFilter Struct Reference

Filter without any compression. More...

Inheritance diagram for NoCompLoadFilter:

## Public Member Functions
| NoCompLoadFilter (LoadFilter *chain)
| Initialise this filter. More...
size_t | Read (byte *buf, size_t size)
| Read a given number of bytes from the savegame. More...
Public Member Functions inherited from LoadFilter
| LoadFilter (LoadFilter *chain)
| Initialise this filter. More...
virtual | ~LoadFilter ()
| Make sure the writers are properly closed. More...
virtual void | Reset ()
| Reset this filter to read from the beginning of the file.

## Additional Inherited Members
Data Fields inherited from LoadFilter
LoadFilter * | chain
| Chained to the (savegame) filters. More...

## Detailed Description

Filter without any compression.

Definition at line 2068 of file saveload.cpp.

## Constructor & Destructor Documentation

## ◆ NoCompLoadFilter()

NoCompLoadFilter::NoCompLoadFilter | ( | LoadFilter * | chain | ) |
| inline

Initialise this filter.

Parameters

  chain | The next filter in this chain.

Definition at line 2073 of file saveload.cpp.

## Member Function Documentation

## ◆ Read()

size_t NoCompLoadFilter::Read | ( | byte * | buf,
|  | size_t | len
| ) |  |
| inline virtual

Read a given number of bytes from the savegame.

Parameters

  buf | The bytes to read.
  len | The number of bytes to read.

Returns
  The number of actually read bytes.

Implements LoadFilter.

Definition at line 2077 of file saveload.cpp.

The documentation for this struct was generated from the following file:

- src/saveload/saveload.cpp